
import javax.crypto.Cipher;
import java.nio.ByteBuffer;
import java.nio.charset.Charset;
import java.util.Arrays;
import java.util.UUID;


public class SimpleObfuscator {
    private final byte[] key;
    public static final byte[] OBFUSCATE_SALT = {-79, -62, 15, -19, -48, -45, -36, 8, 0, -28, -72, 35, 14, -126, 49, -97};
    public static final byte[] ENCRYPT_SALT = {-78, 117, 95, 10, -79, 93, 115, 51, -5, -46, 75, -32, 47, -90, 39, 39};

    public SimpleObfuscator(byte[] key) {
        this.key = key;
    }


    public byte[] unobfuscate(byte[] s) {
        return xorByte(s);
    }

    public byte[] obfuscate(byte[] s) {
        return xorByte(s);
    }

    private byte[] xorByte(byte[] message) {
        try {
            if (message == null || key == null)
                return null;

            int ml = message.length;
            int kl = key.length;

            ByteBuffer byteBuf = ByteBuffer.allocate(ml);
            byteBuf.clear();

            for (int i = 0; i < ml; i++) {
                byteBuf.put((byte) (message[i] ^ key[i % kl]));
            }// for i
            byteBuf.flip();
            return byteBuf.array();
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    public static void main(String[] args) {

        Obfuscator soe = new Obfuscator(OBFUSCATE_SALT, ENCRYPT_SALT);


        StringBuffer log = new StringBuffer();

        Charset characterSet = Charset.forName("US-ASCII");

        //sslpins

//        String[] keys={
//                "sha256/SlNzY+e3VjHNRXeCxFsG74HzSkjeZ3jbqoSYCD+nBcE=",
//                "sha256/klO23nT2ehFDXCfx3eHTDRESMz3asj1muO+4aIdjiuY=",
//                "sha256/grX4Ta9HpZx6tSHkmCrvpApTQGo67CYDnvprLg5yRME="
//                "WnEuMUmhEPwjPsFe864Ju7qTSQYHvvUs",
//                "QF53h72JPMQ2vBuL",
//                "9cPgDSmHe63z9zUu"
//        };


        //dbkeys
        byte[][] keys = {
                {-45, 38, 70, -101, -53, 80, 47, -11, -103, 19, 60, 72, 95, -86, 105, 121, -68, 58, 106, -100, -72, 56, -44, -43, 35, 100, -35, 40, 125, -93, 58, -120, 96, -56, 50, -18, -113, -50, 62, 27, -76, -36, -99, 36, 112, 62, -6, -39, 117, -56, -74, 68, 82, 35, -50, -109, -66, 11, 69, 124, 11, -36, -9, -1},
                {-11, -95, 82, 80, 114, -61, -119, -35, -87, 38, 34, 79, -110, 5, 57, -93, -40, -83, 46, 53, -56, -86, -14, -114, 52, 95, 67, 5, -30, -91, -40, 43, -88, -5, -74, 11, 38, -84, -33, 89, -60, 64, 35, 1, 23, 66, 102, 54, 16, -116, 59, 51, 127, 55, 20, -103, 109, -52, -51, 106, 77, 83, 114, -118},
                {-7, -12, -21, -123, -88, -7, 115, -14, -81, 102, -59, 101, -108, -55, 18, -101, -54, 73, 57, -1, 116, 17, -26, -2, 61, -75, 18, -47, 55, 64, -13, 25, 112, 113, 32, 80, -23, 119, 84, 24, 9, 25, -82, -115, 61, 35, 117, -20, -2, -83, 108, 25, 31, 45, 22, -29, -122, -33, 44, 11, -121, 85, 52, -4}
        };
        for (int i = 0; i < keys.length; i++) {
//            String sourceStr = keys[i];
//
//            byte[] selT =  sourceStr.getBytes(characterSet);
            byte[] selT =   keys[i];

//            String output = new String(selT, 0, selT.length, characterSet);
//
//            log.append(sourceStr);
//            if (sourceStr.equals(output)) {
//                log.append(" EQ\t");
//            } else {
//                log.append(" NG\t");
//            }
//            log.append('\t');


            byte[] out = soe.obfuscate(selT);
            System.out.println(Arrays.toString(out));

//            log.append(" {");
//            for (int j = 0; j < out.length; j++) {
//                log.append(String.valueOf(out[j]) + ",");
//            }
//            log.append(" }");
//
//            log.append('\t');

            byte[] reout = soe.unobfuscate(out);


            String outputRe = new String(reout, 0, reout.length, characterSet);
            System.out.println(outputRe);
//            if (!sourceStr.equals(outputRe)) {
//                System.out.println("NG");
//            }else{
//                System.out.println("OK");
//
//            }

//            log.append('\n');

        }
//        System.out.println(log.toString());

    }
}
